%define upstream_name    File-ShouldUpdate
%define upstream_version 0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Should files be rebuilt?
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides should_update() which can be used to determine if
files should be updated based on the mtime timestamps of their
dependencies. It avoids confusing between target and dependencies by using
syntactic sugar of the familiar makefile rules ( the
https://en.wikipedia.org/wiki/Make_(software) manpage ).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.2.1-2.mga10
+ Revision: 2215104
- Mageia 10 Mass Rebuild

* Sat Aug 27 2022 tv <tv> 0.2.1-1.mga9
+ Revision: 1881134
- update to 0.2.1

* Mon Mar 21 2022 umeabot <umeabot> 0.2.0-2.mga9
+ Revision: 1813639
- Mageia 9 Mass Rebuild

* Thu Nov 26 2020 tv <tv> 0.2.0-1.mga8
+ Revision: 1649416
- update to 0.2.0

* Tue Nov 24 2020 shlomif <shlomif> 0.0.1-1.mga8
+ Revision: 1648907
- imported package perl-File-ShouldUpdate


* Tue Nov 24 2020 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
